curs_in_wch(3X)

NAME
in_wch, mvin_wch, mvwin_wch, win_wch - extract a complex character and rendition from a window

SYNOPSIS
#include <ncurses.h>

int in_wch(cchar_t *wcval);
int mvin_wch(int y, int x, cchar_t *wcval);
int mvwin_wch(WINDOW *win, int y, int x, cchar_t *wcval);
int win_wch(WINDOW *win, cchar_t *wcval);

DESCRIPTION
These functions extract the complex character and rendition from the current position in the named window into the cchar_t object referenced by wcval.

RETURN VALUE
No errors are defined in the XSI Curses standard. This implementation checks for null pointers, returns ERR in that case. Also, the mv routines check for error moving the cursor, returning ERR in that case. Otherwise they return OK

NOTES
Note that all of these routines may be macros.

PORTABILITY
These functions are described in the XSI Curses standard, Issue 4.

SEE ALSO
curses(3X), curs_inch(3X).